summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorEmmanuele Bassi <ebassi@linux.intel.com>2012-05-11 17:37:20 +0100
committerEmmanuele Bassi <ebassi@linux.intel.com>2012-05-11 17:37:20 +0100
commitae32136fccf5774865ff86e33996d91daabe58a8 (patch)
treee865ad4d3432838da42c2b88b4bfb3d3434a9206 /autogen.sh
parentc70a7b94703000b0eac768e3fba9ae5fd2937f9e (diff)
downloadclutter-ae32136fccf5774865ff86e33996d91daabe58a8.tar.gz
build: Drop version check on auto*
Just use autoreconf, to avoid having to deal with changes in the version of autotools. If somebody has more recent autotools but the symbolic links used by autoreconf are still pointing to an old version then they can also fix their own installation, or get a better distribution.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh54
1 files changed, 13 insertions, 41 deletions
diff --git a/autogen.sh b/autogen.sh
index ec90785db..61c3b46f5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,10 +1,10 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
-ORIGDIR=`pwd`
+olddir=`pwd`
cd $srcdir
PROJECT=Clutter
@@ -20,26 +20,17 @@ test $TEST_TYPE $FILE || {
# https://bugzilla.gnome.org/show_bug.cgi?id=661128
touch -t 200001010000 po/clutter-1.0.pot
-if automake-1.11 --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake-1.11
- ACLOCAL=aclocal-1.11
- export AUTOMAKE ACLOCAL
-else
- echo
- echo "You must have automake 1.11.x installed to compile $PROJECT
-ECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+GTKDOCIZE=`which gtkdocize`
+if test -z $GTKDOCIZE; then
+ echo "*** No GTK-Doc found, please install it ***"
exit 1
fi
-(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have gtk-doc installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please install it ***"
exit 1
-}
+fi
# NOCONFIGURE is used by gnome-common
if test -z "$NOCONFIGURE"; then
@@ -49,29 +40,10 @@ if test -z "$NOCONFIGURE"; then
fi
fi
-if test -z "$ACLOCAL_FLAGS"; then
- acdir=`$ACLOCAL --print-ac-dir`
- m4list="glib-2.0.m4"
- for file in $m4list; do
- if [ ! -f "$acdir/$file" ]; then
- echo "WARNING: aclocal's directory is $acdir, but..."
- echo " no file $acdir/$file"
- echo " You may see fatal macro warnings below."
- echo " If these files are installed in /some/dir, set the ACLOCAL_FLAGS "
- echo " environment variable to \"-I /some/dir\", or install"
- echo " $acdir/$file."
- echo ""
- fi
- done
-fi
-
rm -rf autom4te.cache
gtkdocize || exit $?
-autoreconf -vfi || exit $?
-cd $ORIGDIR || exit $?
+autoreconf --force --install --verbose || exit $?
-if test -z "$NOCONFIGURE"; then
- $srcdir/configure $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?
- echo "Now type 'make' to compile $PROJECT."
-fi
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"